/*
 * 文 件 名:  AbilityPayload
 * 版    权:  华设设计集团股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lvwenbin
 * 修改时间:  2025/2/27
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.ruoyi.ems.model;

/**
 * 能力调用
 * <功能详细描述>
 *
 * @author lvwenbin
 * @version [版本号, 2025/2/27]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
public class AbilityPayload {
    /**
     * 对象代码
     */
    private String objCode;

    /**
     * 模型代码
     */
    private String modeCode;

    /**
     * 能力标识
     */
    private String abilityKey;

    /**
     * 能力参数
     */
    private String abilityParam;

    public String getObjCode() {
        return objCode;
    }

    public void setObjCode(String objCode) {
        this.objCode = objCode;
    }

    public String getModeCode() {
        return modeCode;
    }

    public void setModeCode(String modeCode) {
        this.modeCode = modeCode;
    }

    public String getAbilityKey() {
        return abilityKey;
    }

    public void setAbilityKey(String abilityKey) {
        this.abilityKey = abilityKey;
    }

    public String getAbilityParam() {
        return abilityParam;
    }

    public void setAbilityParam(String abilityParam) {
        this.abilityParam = abilityParam;
    }
}